/* aside */

@mixin widget-icon($widget_class, $icon) {
    #{$widget_class} {
        h3 {
            &:before {
                @include icon($icon);
                @extend %before-icon;
            }
        }
    }
}

aside {
    padding: $grid-gutter-width 0;

    h3, h2 {
        font-size: 24px;
    }

    img {
        max-width: 99%;
        height: auto;
    }

    section {
        position: relative;
        border: 1px solid $oc-gray-3;
        padding: 20px;
        width: 100%;
        background-color: $oc-gray-0;

        & + section {
            margin-top: 30px;
        }

        *:first-child {
            margin-top: 0;
        }

        *:last-child {
            margin-bottom: 0;
        }

        &.hidden-title {
            & > h2,
            & > h3 {
                @extend .sr-only;
            }
        }

        ul {
            padding-left: 0;
            list-style-type: none;

            ul {
                display: none;
            }

            li {
                padding: {
                    top: 5px;
                    bottom: 5px;
                };
                font-size: 13px;
            }

            a {
                position: relative;
                left: 0;
                display: inline-block;
                padding-left: 0;
                color: $black;
                font-weight: bold;

                transition: color 0.222s ease;

                &:hover {
                    color: var(--brand-color-6) ;
                }

                &:before {
                    @include icon($fa-var-angle-right);

                    @extend %before-icon;

                    transition: left 0.2s ease;

                    position: relative;
                    left: 0;
                }

                &:hover:before {
                    left: 2px;
                }
            }
        }

        // Search widget
        &.widget_search {
            padding: 0;
            border: none;
            background-color: transparent;
            @include clearfix();

            // Searchform
            .search-form {
                width: 100%;
                float: none;
                @extend %reset;
            }

            .form-group {
                display: block;
            }

            .input-group {
                width: 100%;
            }
        }

        // wp-related-posts plugin widget
        &.widget_wp_related_posts {
            position: relative;

            ul {
                margin-bottom: 0;
                padding-left: 0;
                list-style-type: none;

                li {
                    margin-top: 5px;
                }

                li + li {
                    margin-top: 7px;
                    padding-top: 6px;
                    border-top: 1px solid $oc-gray-3;
                }

                a {
                    display: block;
                }
            }

            .wp_rp_footer a {
                display: none;
                position: absolute;
                overflow: hidden;
                width: 10px;
                height: 10px;
                right: 5px;
                top: 5px;
            }

            &:hover {
                .wp_rp_footer a {
                    display: block;
                }
            }
        }
        
        // Widget color variants
        &.inverse,
        &.dark,
        &.black {
            border-color: $oc-gray-8;
            background-color: $oc-gray-8;
            color: $white;

            ul a {
                color: $white;

                &:hover {
                    color: var(--brand-color-3);
                }
            }
        }

        &.green {
            background-color: var(--brand-color-9) ;
            color: $white;
        }
    }
}

// Title icons
@if $sidebar-icons == true {
    @include widget-icon(".widget_tag_cloud", $fa-var-tags);
    @include widget-icon(".widget_categories", $fa-var-compass);
    @include widget-icon(".widget_wp_related_posts", $fa-var-link);
    @include widget-icon(".widget_archive", $fa-var-archive);
    @include widget-icon(".widget_meta", $fa-var-info);
    @include widget-icon(".widget_recent_comments", $fa-var-comments);
    @include widget-icon(".widget_recent_entries", $fa-var-pencil-alt);
    @include widget-icon(".widget_media_video", $fa-var-video);
}
